Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Class BearerControl

    java.lang.Object
      com.siemens.icm.io.BearerControl

public class BearerControl
extends Object

The BearerControl class provides the ability to get bearer state events and to hang-up the bearer. This complements the IP networking functionality as provided by IMP-NG classes. The bearer is always opened implicitely during a call of connector.open with the provided parameters. Closure of bearer is either triggered by the networking idle time out or the hangUp method of this class.

See Also:
  `SocketConnection`, `BearerControlListener`

Method Summary
`static void` | `addListener(BearerControlListener listener)` Registers listeners to receive bearer state changes.
`static void` | `clearListener()` Removes all listener objects which have been previously added to the list table of listener objects.
`static void` | `hangUp()` Triggers closure of Java networking bearer, like the networking idle timeout.
`static void` | `removeListener(BearerControlListener listener)` Removes a listener object which has been previously added to the internal list table of listener objects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(BearerControlListener listener)

  Registers listeners to receive bearer state changes. The listener object is an implementation of BearerControlListener interface. Listeners are stored into an internal HashTable.

  Parameters:
    `listener` - The BearerControlListener object to be registered.
  See Also:
    `BearerControlListener`, `removeListener(com.siemens.icm.io.BearerControlListener)`

### removeListener

    public static void removeListener(BearerControlListener listener)

  Removes a listener object which has been previously added to the internal list table of listener objects. After it has been removed from the list it won't be called in case of any bearer state changes any more. If it hasn't been registered before the list will remain unchanged.

  Parameters:
    `listener` - The BearerControlListener object to be removed from the list.
  See Also:
    `BearerControlListener`, `addListener(com.siemens.icm.io.BearerControlListener)`

### clearListener

    public static void clearListener()

  Removes all listener objects which have been previously added to the list table of listener objects.

  See Also:
    `BearerControlListener`, `addListener(com.siemens.icm.io.BearerControlListener)`

### hangUp

    public static void hangUp()

  Triggers closure of Java networking bearer, like the networking idle timeout. In case of GPRS this deactivates the context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.